#if !defined(AFX_DLGMAIN_H__199929EC_B7D8_4CBA_A515_0DC9DF2672A6__INCLUDED_)
#define AFX_DLGMAIN_H__199929EC_B7D8_4CBA_A515_0DC9DF2672A6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgMain.h : header file
//


/////////////////////////////////////////////////////////////////////////////

#include "GetTime.h"
#include "Interpreter.h"

/////////////////////////////////////////////////////////////////////////////

typedef struct Formats_t
{
    TCHAR       szShowInDialog[48];
    TCHAR       *pszFormat;
} Formats_t;


/////////////////////////////////////////////////////////////////////////////
// CDlgMain dialog

class CDlgMain : public CDialog
{
// Construction
public:
	CDlgMain(CWnd* pParent = NULL);   // standard constructor

    static bool __stdcall CDlgMain::DoDialog(
            CString *pstrText);


// Dialog Data
	//{{AFX_DATA(CDlgMain)
	enum { IDD = IDD_DIALOG_MAIN };
	CRichEditCtrl	m_ctrlRichEditPreview;
	CRichEditCtrl	m_ctrlRichEditText;
	CListBox	m_ctrlListFormats;
	CListBox	m_ctrlListFields;
	CString	m_strRichEditText;
	CString	m_strRichEditPreview;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgMain)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

    CString m_strText;
    CString m_strTextDisplay;

protected:
    TCHAR m_szFileName[512];
    Formats_t *m_pCurrentFormat;

    CGetTime m_TimeGetter;
    CInterpreter m_Interpreter;

    void __stdcall CDlgMain::TranslateTexts();

// Implementation
protected:
    void __stdcall CDlgMain::CheckControls();
    void __stdcall CDlgMain::UpdatePreview();

    int m_iFieldSelection;
    int m_iFormatSelection;

	// Generated message map functions
	//{{AFX_MSG(CDlgMain)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeListFields();
	afx_msg void OnSelchangeListFormats();
	afx_msg void OnButtonInsert();
	afx_msg void OnChangeRicheditText();
	afx_msg void OnDblclkListFormats();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGMAIN_H__199929EC_B7D8_4CBA_A515_0DC9DF2672A6__INCLUDED_)
