/***********************************************************************

    This source code is provided as is and may be used to extend 
    the functionality if desired. Do not remove all refernces to the
    original author.

    Ken Schirmeister
    KenSch@MountainCable.net  

***********************************************************************/

// Interpreter.cpp: implementation of the CInterpreter class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DatePrinter.h"
#include "Macrodata.h"
#include "Interpreter.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CInterpreter::CInterpreter()
{
    GetCurrentFile((uchar *)m_szMegaCadFile);
}

//////////////////////////////////////////////////////////////////////

CInterpreter::~CInterpreter()
{

}

//////////////////////////////////////////////////////////////////////
/*
typedef struct Macros_t
{
    const TCHAR *pszName;
    int   iType;
}
*/

//////////////////////////////////////////////////////////////////////

int __stdcall CInterpreter::Interpret( // R: Anzahl ersetzter Macros
        const TCHAR *szInput,          // mit macros wie $(*DATE-CREATED %#x*)
        CString *pstrOutput)           // wird gefllt, mit "Wed, June 16, 2003"
{
    int iCnt = 0;
    int i;
    int iLen = strlen(szInput);
    for ( i = 0 ; i < iLen ; )
    {
        if ( (iLen - i) > 3 && memcmp(szInput + i, "$(*", 3) == 0 )
        {
            if ( m_MacroData.InsertMacro(szInput + i, pstrOutput, m_szMegaCadFile, &i) )// found a macro!
                iCnt++;
            else
                // doch kein Macro!??
                *pstrOutput += szInput[i++];
        }
        else
            *pstrOutput += szInput[i++];
    }
    return iCnt;
}
