// MacroData.h: interface for the CMacroData class.
//
//////////////////////////////////////////////////////////////////////

#include "GetTime.h"


#if !defined(AFX_MACRODATA_H__41937602_36B6_4289_98F0_ECBAD0790FF9__INCLUDED_)
#define AFX_MACRODATA_H__41937602_36B6_4289_98F0_ECBAD0790FF9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////

class CMacroData  
{
public:
    static const int     CMacroData::sm_iCnt;
    static Field_t CMacroData::sm_aMacros[];

    static void __fastcall CMacroData::ReadTexts(
            FILE *fp);      // mu bereits auf die richtige Stelle in der Datei
                            // positioniert sein.

    const TCHAR *CMacroData::FindMacroText(  // get "Date modified", return "DATE_MODIFIED"
            const TCHAR *pszField);

    const TCHAR *CMacroData::FindTextForDlg(  // get "DATE_MODIFIED", return "Date modified"
            const TCHAR *pszMacro);

    bool __stdcall CMacroData::InsertMacro(  // true --> okay
            const TCHAR *szInput,            // zeigt auf ein Macro wie $(*DATE-CREATED %#x*)
            CString *pstrOutput,             // "Wed, June 16, 2003" wird angehngt
            const TCHAR *pszFileName,        // Name der MegaCAD-Datei
            int     *piSrc);

protected:
    CGetTime m_TimeGetter;

private:
};

#endif // !defined(AFX_MACRODATA_H__41937602_36B6_4289_98F0_ECBAD0790FF9__INCLUDED_)
